package com.sunxung.factoring.entity.supplier;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.entity.sys.FileStorage;

import java.util.List;

/**
 * <p>
 * 视频尽调-企业经营
 * </p>
 *
 * @author liutao
 * @since 2023-12-09
 */
@TableName("video_due_diligence_operations")
public class VideoDueDiligenceOperations {

    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 视频尽调id
     */
    @TableField("video_due_diligence_id")
    private Long videoDueDiligenceId;

    /**
     * 问题
     */
    @TableField("question")
    private String question;

    /**
     * 反馈
     */
    @TableField("feedback")
    private String feedback;

    /**
     * 文件
     */
    @TableField(exist = false)
    private List<Long> fileIds;

    /**
     * 文件
     */
    @TableField(exist = false)
    private List<FileStorage> files;

    public List<Long> getFileIds() {
        return fileIds;
    }

    public void setFileIds(List<Long> fileIds) {
        this.fileIds = fileIds;
    }

    public List<FileStorage> getFiles() {
        return files;
    }

    public void setFiles(List<FileStorage> files) {
        this.files = files;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getVideoDueDiligenceId() {
        return videoDueDiligenceId;
    }

    public void setVideoDueDiligenceId(Long videoDueDiligenceId) {
        this.videoDueDiligenceId = videoDueDiligenceId;
    }
    public String getQuestion() {
        return question;
    }

    public void setQuestion(String question) {
        this.question = question;
    }
    public String getFeedback() {
        return feedback;
    }

    public void setFeedback(String feedback) {
        this.feedback = feedback;
    }

    @Override
    public String toString() {
        return "VideoDueDiligenceOperations{" +
            "videoDueDiligenceId=" + videoDueDiligenceId +
            ", question=" + question +
            ", feedback=" + feedback +
        "}";
    }
}
